# flatten

fun < T > Flow<Flow< T >>. flatten (): Flow< T >(source)

Flattens a Flow of Flows into a single Flow by collecting all inner flows sequentially.

#### Return

A Flow containing all elements from all inner flows

#### Type Parameters

T

The type of elements in the inner flows

@ JvmName (name = "flattenIterable")
fun < T > Flow< Iterable < T >>. flatten (): Flow< T >(source)

Flattens a Flow of Iterables into a single Flow by emitting all elements from each iterable.

#### Return

A Flow containing all elements from all iterables

#### Type Parameters

T

The type of elements in the iterables